+++
title = "Meeting Minutes #2"
+++
<!-- SPDX-License-Identifier: CC0-1.0 -->

# Libre Gaming meeting minutes #2

## Attending

artchad, Cesar, DeathByDenim, emorrp1, Felix, Livio, poVoq, SeanCJ, sm2n, ThinkSome, vvbudh, franzo, OptimusDU, spongy, Rampoina, freem, infrared

## Agenda

* about libre games and libregaming.org
    * organisation formation
    * assets, CC, engine, NC, opengameart.org
* round of introductions
* General review of last 6 months, what is/isn’t working for libregaming.org?
    * subdomains (manual dynamic dns)
    * website - have content, server, need CMS / SSG
        * spongy working on "design language" documentation
        * sm2n interested in doing the SSG
        * co-ordination channel? - #libregaming-workshop
    * port forwarding/relay solution?
        * TCP solved - send emorrp1 your ssh-ed25519 key
        * UDP difficult, yggdrasil, miredo, [ipv6 vlan], [spring relayhost]
        * Not aware of any UDP solution that only needs the host to manage the setup
* Chat channels: privacy, moderation, working groups, on-topic
    * Organisational space?
    * Bridging #chamber to IRC? Or another channel for high volume website chat?
    * Official Mumble server with [mumble-web] interface (and maybe [Discord voice bridge])?
    * idea to have game-specific contacts to cross communities
* Service (de)centralisation
    * FreeGamedev.net can host stuff, but the bus factor is currently more or less 1
* provide a place and encouragement for devs to interact (freegamedev.net?)
    * A more open social media forum (Lemmy?) could be good for devs to create communities easily?
* general goals and level of ambition, as well as how “growth” oriented/cohesive
    * Keep it small intentionally?
    * Community building! Promoting niche games?
    * Organized "mobs" to promote libregaming (with devs?), similar to Gaming on Linux?
    * Long term goal: some sort of Steam like launcher & integrated game ratings + community?
* collaborative focus day with a shared todo list
    * Writing on tutorials? Outreach to specific communties to "commission" contributions?
    * hackathon kind of thing? What kind of topics?
* cross-cutting concerns: matchmaking, netdev, community management, servers, ratings

[ipv6 vlan]: https://leagueh.xyz/en/cafe-babe.html
[spring relayhost]: https://github.com/spring/relayhost
[mumble-web]: https://github.com/Johni0702/mumble-web
[Discord voice bridge]: https://github.com/Stieneee/mumble-discord-bridge

## Any Other Business

* play 0ad, themanaworld, mindustry
* try to organize the next meeting before end of March. Maybe make this a monthly or at least quarterly thing?
* we did *not* discuss moderation in the end

## Actions

* emorrp1 to fix dangling rooms and bridge discussion for website
* hribhrib to grant some git access
* poVoq to arrange next meeting unless someone else does it first
* sm2n to work on website
