+++
title = "Chat with us!"
+++
<!-- SPDX-License-Identifier: CC0-1.0 -->

[About us](@/_index.md). (<abbr title="Work in Progress">WiP</abbr>)

# Chat with us!

We try our best to let people use their favorite chat client to join us.
Currently, we use native [Matrix] rooms which are also accessible via [Jabber/XMPP] and [IRC].
For pre-existing projects, their official chatrooms are bridged where possible, even if they're on the non-libre [Discord] platform.
New projects should take advantage of [FreeGameDev]'s cross-platform integration.

[Matrix]: https://matrix.org/
[Jabber/XMPP]: https://joinjabber.org/
[IRC]: https://en.wikipedia.org/wiki/Internet_Relay_Chat
[Discord]: https://drewdevault.com/2021/12/28/Dont-use-Discord-for-FOSS.html
[FreeGameDev]: https://freegamedev.net/d/153-what-can-the-freegamedev-chat-do-for-me

## Official chatrooms

- *matchmaking*: matchmaking service/bot to find people to play with
  [matrix](https://matrix.to/#/#libregaming-matchmaking:freedombox.emorrp1.name)
  [xmpp](xmpp:%23libregaming-matchmaking%23freedombox.emorrp1.name@matrix.org?join)
  [irc](ircs://irc.libera.chat/#libregaming-matchmaking)
  [archive](https://view.matrix.org/room/!CUNOtCEVFEdXaOUjXL:matrix.org/)
- *organization*: meta channel for discussing the LibreGaming.org project itself
  [matrix](https://matrix.to/#/#libregaming-organization:freedombox.emorrp1.name)
  [xmpp](xmpp:%23libregaming-organization%23freedombox.emorrp1.name@matrix.org?join)
  [irc](ircs://irc.libera.chat/#libregaming-organization)
  [archive](https://view.matrix.org/room/!qLhNfILESSCaasbRWB:freedombox.emorrp1.name/)
- *offtopic*: for discussions with libregaming folks about everything except libregaming
  [matrix](https://matrix.to/#/#libregaming-offtopic:freedombox.emorrp1.name)
  [xmpp](xmpp:%23libregaming-offtopic%23freedombox.emorrp1.name@matrix.org?join)
  [irc](ircs://irc.libera.chat/#libregaming-offtopic)
  [archive](https://view.matrix.org/room/!csFYqQwEzkhBXOMzLF:matrix.org/)
- *workshop*: for bursts of high-volume organisational activity, when a topic gets too long for the main channel
  [matrix](https://matrix.to/#/#libregaming-workshop:freedombox.emorrp1.name)
  [xmpp](xmpp:%23libregaming-workshop%23freedombox.emorrp1.name@matrix.org?join)
  [irc](ircs://irc.libera.chat/#libregaming-workshop)
  [archive](https://view.matrix.org/room/!uagwTOyQbbWrZgwyPO:freedombox.emorrp1.name/)

To join one such room called `ROOM`, configure your client according to the instructions below.

## Communities

For on-topic chat about Libre Gaming, these are the active communities we are aware of.

- [FreeGameDev.net](https://freegamedev.net): bring players and developers together like the old #freegamer on Freenode
  [matrix](https://matrix.to/#/#general:irc.freegamedev.net)
  [xmpp](xmpp:%23general@irc.freegamedev.net?join)
  [irc](ircs://irc.freegamedev.net/#general)
  [archive](https://view.matrix.org/room/!xo5JxKMrkIWOPclbmH:irc.freegamedev.net/)
- [Libre Game Night](https://lgn.xwx.moe/): play and discuss libre games such as Hedgewars, Mindustry, Freedoom
  [matrix](https://matrix.to/#/#libregamenight:libera.chat)
  [xmpp](xmpp:%23libregamenight%23libera.chat@matrix.org?join)
  [irc](ircs://irc.libera.chat/#libregamenight)
- [onFOSS-LAN](https://onfoss.hribhrib.at/): online LAN-Party event day
  [matrix](https://matrix.to/#/#xmpp_onfoss_conference.hribhrib.at:matrix.org)
  [xmpp](xmpp:onfoss@conference.hribhrib.at?join)
- [opensource_gaming](https://twitch.tv/opensource_gaming): twitch channel to bring attention to a lot of great Open Source projects
  [matrix](https://matrix.to/#/#generalosg:matrix.org)
  [xmpp](xmpp:%23generalosg%23matrix.org@matrix.org?join)
- *SMAC*: чат без смысла и цели
  [matrix](https://matrix.to/#/#xmpp_smac_conference.bitcheese.net:matrix.org)
  [xmpp](xmpp:smac@conference.bitcheese.net?join)
- *Free, Libre, and Open Source Gaming*
  [matrix](https://matrix.to/#/#libregaming:matrix.org)
  [xmpp](xmpp:%23libregaming%23matrix.org@matrix.org?join)

## Matrix

Room name: `#libregaming-ROOM:freedombox.emorrp1.name`

- [Create an account](https://tchncs.de/matrix), or use any other Matrix server
- [Choose a client](https://matrix.org/docs/projects/try-matrix-now/)
- [Libre Gaming space](https://matrix.to/#/#libregaming-space:matrix.org)
- Subspaces: [Communities], [Games], [Engines], [Tools], [Historical]

[Communities]: https://matrix.to/#/#libregaming-communities:freedombox.emorrp1.name
[Games]: https://matrix.to/#/#libregaming-games:freedombox.emorrp1.name
[Engines]: https://matrix.to/#/#libregaming-engines:freedombox.emorrp1.name
[Tools]: https://matrix.to/#/#libregaming-tools:freedombox.emorrp1.name
[Historical]: https://matrix.to/#/#libregaming-historical:freedombox.emorrp1.name

## Jabber/XMPP

Room name: `#libregaming-ROOM#freedombox.emorrp1.name@matrix.org`

- [Create an account](https://tchncs.de/xmpp), or use any other Jabber/XMPP server
- [Choose a client](https://joinjabber.org/)
- Bridged with [matrix-bifrost](https://github.com/matrix-org/matrix-bifrost)
  ([Usage details](https://github.com/matrix-org/matrix-bifrost/wiki/Address-syntax))

## IRC

Room name: `#libregaming-ROOM` on `irc.libera.chat`

- [Create an account](https://libera.chat/guides/registration), or connect as a guest user
- [Choose a client](https://libera.chat/guides/clients)
- Various features are not supported by the IRC protocol: for a better user experience, consider using a Matrix or Jabber/XMPP client instead
- Bridged with [matrix-appservice-irc](https://github.com/matrix-org/matrix-appservice-irc)
  ([Usage details](https://matrix-org.github.io/matrix-appservice-irc/latest/usage.html))
  <details><summary>Settings</summary>
  Room -> Settings -> Advanced -> Open Devtools -> Send Custom Event -> Event ->
  Event Type: `org.matrix.appservice-irc.config`; State Key: ``;
  Content: `{ "lineLimit": 9, "allowUnconnectedMatrixUsers": true }`
  </details>
